package cn.iocoder.yudao.module.product.controller.admin.property.vo.property;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 商品属性项 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class ProductPropertyBaseVO {

    @Schema(description = "名称", required = true, example = "颜色")
    @NotBlank(message = "名称不能为空")
    private String name;

    @Schema(description = "备注", example = "颜色")
    private String remark;

}
